Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::SetBasedFieldSelector Class Reference

Declare what fields to load normally and what fields to load lazily. More...

`#include <SetBasedFieldSelector.h>`

Inheritance diagram for Lucene::SetBasedFieldSelector:

## Public Member Functions

| SetBasedFieldSelector (HashSet< String > fieldsToLoad, HashSet< String > lazyFieldsToLoad)
| Pass in the Set of `Field` names to load and the Set of `Field` names to load lazily. If both are null, the Document will not have any `Field` on it.
virtual | ~SetBasedFieldSelector ()
virtual String | getClassName ()
boost::shared_ptr< SetBasedFieldSelector > | shared_from_this ()
virtual FieldSelectorResult | accept (const String &fieldName)
| Indicate whether to load the field with the given name or not. If the `Field#name()` is not in either of the initializing Sets, then `FieldSelectorResult#NO_LOAD` is returned. If a Field name is in both fieldsToLoad and lazyFieldsToLoad, lazy has precedence.
Public Member Functions inherited from Lucene::FieldSelector
virtual | ~FieldSelector ()
boost::shared_ptr< FieldSelector > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FieldSelector
static String | _getClassName ()

## Protected Attributes

HashSet< String > | fieldsToLoad
HashSet< String > | lazyFieldsToLoad
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Public Types inherited from Lucene::FieldSelector
enum | FieldSelectorResult { SELECTOR_NULL , SELECTOR_LOAD , SELECTOR_LAZY_LOAD , SELECTOR_NO_LOAD , SELECTOR_LOAD_AND_BREAK , SELECTOR_SIZE , SELECTOR_SIZE_AND_BREAK }
| Provides information about what should be done with this Field. More...
Protected Member Functions inherited from Lucene::FieldSelector
| FieldSelector ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Declare what fields to load normally and what fields to load lazily.

## Constructor & Destructor Documentation

## ◆ SetBasedFieldSelector()

Lucene::SetBasedFieldSelector::SetBasedFieldSelector | ( | HashSet< String > | fieldsToLoad,
|  | HashSet< String > | lazyFieldsToLoad )

Pass in the Set of `Field` names to load and the Set of `Field` names to load lazily. If both are null, the Document will not have any `Field` on it.

Parameters

  fieldsToLoad | A Set of `String` field names to load. May be empty, but not null
  lazyFieldsToLoad | A Set of `String` field names to load lazily. May be empty, but not null

References fieldsToLoad, and lazyFieldsToLoad.

Referenced by _getClassName().

## ◆ ~SetBasedFieldSelector()

virtual Lucene::SetBasedFieldSelector::~SetBasedFieldSelector | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::SetBasedFieldSelector::_getClassName | ( |  | ) |

inline static

References SetBasedFieldSelector().

## ◆ accept()

virtual FieldSelectorResult Lucene::SetBasedFieldSelector::accept | ( | const String & | fieldName | ) |

virtual

Indicate whether to load the field with the given name or not. If the `Field#name()` is not in either of the initializing Sets, then `FieldSelectorResult#NO_LOAD` is returned. If a Field name is in both fieldsToLoad and lazyFieldsToLoad, lazy has precedence.

Parameters

  fieldName | The `Field` name to check

Returns
  The `FieldSelectorResult`

Implements Lucene::FieldSelector.

## ◆ getClassName()

virtual String Lucene::SetBasedFieldSelector::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::FieldSelector.

## ◆ shared_from_this()

boost::shared_ptr< SetBasedFieldSelector > Lucene::SetBasedFieldSelector::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ fieldsToLoad

HashSet<String> Lucene::SetBasedFieldSelector::fieldsToLoad

protected

Referenced by SetBasedFieldSelector().

## ◆ lazyFieldsToLoad

HashSet<String> Lucene::SetBasedFieldSelector::lazyFieldsToLoad

protected

Referenced by SetBasedFieldSelector().

The documentation for this class was generated from the following file:

- SetBasedFieldSelector.h

clucene.sourceforge.net